Activity log for bug #1523661

Date Who What changed Old value New value Message
2015-12-07 20:23:47 Kamal Mostafa bug added bug
2015-12-07 20:23:49 Kamal Mostafa tags kernel-stable-tracking-bug
2015-12-07 20:23:50 Kamal Mostafa bug added subscriber SRU Verification
2015-12-07 20:23:56 Kamal Mostafa bug added subscriber Ubuntu Stable Release Updates Team
2015-12-07 20:24:02 Kamal Mostafa nominated for series Ubuntu Trusty
2015-12-07 20:24:04 Kamal Mostafa bug task added linux (Ubuntu Trusty)
2015-12-07 21:26:46 Kamal Mostafa description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch. The v3.13.11-ckt31 upstream stable patch set is now available. It should be included in the Ubuntu kernel as well. git://kernel.ubuntu.com/ubuntu/linux.git TEST CASE: TBD The following patches are in the v3.13.11-ckt31 stable release: SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from Linus' tree or in a minimally        backported form of that patch. The v3.13.11-ckt31 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://kernel.ubuntu.com/ubuntu/linux.git     TEST CASE: TBD        The following patches are in the v3.13.11-ckt31 stable release: Linux 3.13.11-ckt31 Btrfs: fix truncation of compressed and inlined extents Btrfs: don't use ram_bytes for uncompressed inline items Btrfs: fix file corruption and data loss after cloning inline extents TPM: Avoid reference to potentially freed memory netfilter: nfnetlink: don't probe module if it exists drm: Fix return value of drm_framebuffer_init() ARM: pxa: remove incorrect __init annotation on pxa27x_set_pwrmode packet: fix match_fanout_group() mac80211: fix driver RSSI event calculations bonding: fix panic on non-ARPHRD_ETHER enslave failure perf trace: Fix documentation for -i ipv6: fix tunnel error handling MIPS: atomic: Fix comment describing atomic64_add_unless's return value. devres: fix a for loop bounds check dmaengine: dw: convert to __ffs() mwifiex: fix mwifiex_rdeeprom_read() wm831x_power: Use IRQF_ONESHOT to request threaded IRQs binfmt_elf: Don't clobber passed executable's file header FS-Cache: Handle a write to the page immediately beyond the EOF marker FS-Cache: Don't override netfs's primary_index if registering failed FS-Cache: Increase reference of parent after registering, netfs success drm/ast: Initialized data needed to map fbdev memory storvsc: Don't set the SRB_FLAGS_QUEUE_ACTION_ENABLE flag Btrfs: fix race when listing an inode's xattrs scsi_sysfs: Fix queue_ramp_up_period return code perf: Fix inherited events vs. tracepoint filters Btrfs: fix race leading to BUG_ON when running delalloc for nodatacow Btrfs: fix race leading to incorrect item deletion when dropping extents x86/cpu: Call verify_cpu() after having entered long mode too printk: prevent userland from spoofing kernel messages proc: actually make proc_fd_permission() thread-friendly firewire: ohci: fix JMicron JMB38x IT context discovery ALSA: hda - Add Intel Lewisburg device IDs Audio ALSA: hda - Apply pin fixup for HP ProBook 6550b KVM: VMX: fix SMEP and SMAP without EPT KVM: Disable SMAP for guests in EPT realmode and EPT unpaging mode recordmcount: Fix endianness handling bug for nop_mcount mac80211: allow null chandef in tracing megaraid_sas : SMAP restriction--do not access user memory from IOCTL code xtensa: fixes for configs without loop option crypto: algif_hash - Only export and import on sockets with data Revert "dm mpath: fix stalls when handling invalid ioctls" mtd: blkdevs: fix potential deadlock + lockdep warnings can: Use correct type in sizeof() in nla_put() arm64: Fix compat register mappings megaraid_sas: Do not use PAGE_SIZE for max_sectors MAINTAINERS: Add public mailing list for ARC ALSA: hda - Disable 64bit address for Creative HDA controllers ALSA: hda/realtek - Dell XPS one ALC3260 speaker no sound after resume back ACPI: Use correct IRQ when uninstalling ACPI interrupt handler staging: rtl8712: Add device ID for Sitecom WLA2100 spi: atmel: Fix DMA-setup for transfers with more than 8 bits per word Bluetooth: ath3k: Add support of AR3012 0cf3:817b device Bluetooth: ath3k: Add new AR3012 0930:021c id Bluetooth: hidp: fix device disconnect on idle timeout [media] media: vb2 dma-contig: Fully cache synchronise buffers in prepare and finish vTPM: fix memory allocation flag for rtce buffer at kernel boot ext4, jbd2: ensure entering into panic after recording an error in superblock [PATCH] fix calculation of meta_bg descriptor backups ext4: fix potential use after free in __ext4_journal_stop iommu/vt-d: Fix ATSR handling for Root-Complex integrated endpoints iommu/vt-d: Fix error in detect ATS capability ARM: common: edma: Fix channel parameter for irq callbacks lockd: create NSM handles per net namespace spi: ti-qspi: Fix data corruption seen on r/w stress test ARM: 8427/1: dma-mapping: add support for offset parameter in dma_mmap() ARM: 8426/1: dma-mapping: add missing range check in dma_mmap() fs/proc, core/debug: Don't expose absolute kernel addresses via wchan mtd: mtdpart: fix add_mtd_partitions error path net: mvneta: Fix CPU_MAP registers initialisation [media] v4l2-compat-ioctl32: fix alignment for ARM64 HID: core: Avoid uninitialized buffer access net: fix a race in dst_release() net: avoid NULL deref in inet_ctl_sock_destroy() qmi_wwan: fix entry for HP lt4112 LTE/HSPA+ Gobi 4G Module ipmr: fix possible race resulting from improper usage of IP_INC_STATS_BH() in preemptible context. stmmac: Correctly report PTP capabilities. RDS-TCP: Recover correctly from pskb_pull()/pksb_trim() failure in rds_tcp_data_recv macvtap: unbreak receiving of gro skb with frag list irda: precedence bug in irlmp_seq_hb_idx() drm/radeon: fix quirk for MSI R7 370 Armor 2X drm/radeon: add quirk for ASUS R7 370 drm/radeon: add quirk for MSI R7 370 x86/setup: Fix low identity map for >= 2GB kernel range x86/setup: Extend low identity map to cover whole kernel range
2015-12-16 10:56:51 Andy Whitcroft linux (Ubuntu Trusty): status New Fix Committed
2016-02-02 12:11:25 Andy Whitcroft linux (Ubuntu Trusty): status Fix Committed Fix Released